org.apache.ignite.internal.cache.query.index.sorted.inline.types

## Class DoubleInlineIndexKeyType

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType<T>
  - - org.apache.ignite.internal.cache.query.index.sorted.inline.types.NumericInlineIndexKeyType<DoubleIndexKey>
    - - org.apache.ignite.internal.cache.query.index.sorted.inline.types.DoubleInlineIndexKeyType

All Implemented Interfaces:
  InlineIndexKeyType

    public class DoubleInlineIndexKeyType
    extends NumericInlineIndexKeyType<DoubleIndexKey>

Inline index key implementation for inlining `Double` values.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType

`CANT_BE_COMPARE, COMPARE_UNSUPPORTED, keySize, VARTYPE_HEADER_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DoubleInlineIndexKeyType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare0(long pageAddr, int off, IndexKey key)` Compares inlined and given value.
`protected DoubleIndexKey` `get0(long pageAddr, int off)` Restores value from inline.
`protected int` `put0(long pageAddr, int off, DoubleIndexKey key, int maxSize)` Puts given value into inline index tree.

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.NumericInlineIndexKeyType

`inlineSize0, isComparableTo`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType

`compare, get, inlinedFullValue, inlineSize, inlineSize, inlineSize, isNull, keySize, put, readBytes, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleInlineIndexKeyType

    public DoubleInlineIndexKeyType()

### Method Detail

#### compare0

    public int compare0(long pageAddr,
                        int off,
                        IndexKey key)

Compares inlined and given value.

Specified by:
  `compare0` in class `NullableInlineIndexKeyType<DoubleIndexKey>`
Parameters:
  `pageAddr` - Page address.
  `off` - Offset.
  `key` - Value that should be compare.
Returns:
  -1, 0 or 1 if inlined value less, equal or greater than given respectively, `NullableInlineIndexKeyType.CANT_BE_COMPARE` if inlined part is not enough to compare, or `NullableInlineIndexKeyType.COMPARE_UNSUPPORTED` if given value can't be compared with inlined part at all.

#### put0

    protected int put0(long pageAddr,
                       int off,
                       DoubleIndexKey key,
                       int maxSize)

Puts given value into inline index tree.

Specified by:
  `put0` in class `NullableInlineIndexKeyType<DoubleIndexKey>`
Parameters:
  `pageAddr` - Page address.
  `off` - Offset.
  `key` - Value.
  `maxSize` - Max size.
Returns:
  Amount of bytes actually stored.

#### get0

    protected DoubleIndexKey get0(long pageAddr,
                                  int off)

Restores value from inline.

Specified by:
  `get0` in class `NullableInlineIndexKeyType<DoubleIndexKey>`
Parameters:
  `pageAddr` - Page address.
  `off` - Offset.
Returns:
  Inline value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023